List Channel Episodes by Channel

Lists Channel Episodes belonging to the channel passed in the path.

Requires api token with one of the following permissions

Read all folder and media data
Path Params
string
required

The hashed ID of the channel to grab channel episodes from.

Query Params
string
enum

Ordering. Default is ID ASC. When using cursor pagination (see cursor param), only id and created are supported. All other sort_by options (position, title, updated) require offset pagination.

Allowed:
integer
enum

Ordering Sort Direction (0 = desc, 1 = asc; default is 1)

Allowed:
integer

The page number to retrieve. This cannot be combined with cursor, pagination.

integer

The number of medias per page. Use this for both offset pagination and cursor pagination.

cursor
object

If cursor[enabled] is set to 1 than cursor pagination is enabled and the first set of records are fetched up to the per_page. Cursor pagination will also be turned on if cursor[before] or cursor[after] are set. Records returned will have a cursor property set which can be used to fetch more records in the same sort_by ordering. The cursor value of the last record can be used to fetch records after the current result set and the cursor of the first record can be used to fetch records before the result set.

NOTE: a cursor value is only valid if the sort_by value hasn't changed from the last fetch. For example, you cannot fetch using sort_by id and than pass that cursor value to a sort_by name.

media_id[]
array of strings

Filter by media id

media_id[]
hashed_ids[]
array of strings

Filter by hashed id

hashed_ids[]
boolean

Filter by published status.

string

Filter by channel episode name/title.

Headers
string
required
Defaults to 2026-03
Responses

Language
Credentials
Bearer
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json